import fs from 'fs';
import { api } from './api.js';
import { mapProduct } from './productMapper.js';

export async function scrapeProducts() {
  try {
    const response = await api.get('products', {
      per_page: 100,
      page: 1
    });

    const products = response.data.map(mapProduct);

    fs.writeFileSync('products.json', JSON.stringify(products, null, 2));
    console.log(`Successfully scraped ${products.length} products`);
    console.log('Data saved to products.json');
    
    return products;
  } catch (error) {
    console.error('Error scraping products:', error.message);
    throw error;
  }
}